;********************************************************************************
;* ACSI.H									*
;*										*
;* Edit History - adopted from the HDI						*
;*										*
;* 05-MAY-94	PKF	adopted for a SCSI read on FALCON while implementing	*
;*			the CDROM Emulator					*
;********************************************************************************

;****************************************
;* Hardware definitions for ACSI DMA	*
;* channel				*
;****************************************

WDC		equ	$ffff8604
WDL		equ	$ffff8606
WDSR		equ	$ffff860f	; select register

WDCWDL		equ	WDC		; used for long writes
XWDL		equ	WDL-WDC		; offset from WDC to WDL

DMAHI		equ	$ffff8609	; DMA Pointer High
DMAMID		equ	$ffff860b	; DMA Pointer Mid
DMALOW		equ	$ffff860d	; DMA Pointer Low

STA		equ	3		; internal DMA status bit in select register

;********************************************************************************
;* End of ACSI.H								*
;********************************************************************************

