;********************************************************************************
;* SPSCSI.H									*
;*										*
;* Edit History - adopted from the HDI						*
;*										*
;* 05-MAY-94	PKF	adopted for a SCSI read on FALCON while implementing	*
;*			the CDROM Emulator					*
;********************************************************************************

;****************************************
;* Macros to set up timeout counter and	*
;* count down				*
;****************************************


	MACRO
	TMOUT	val,xreg
	move.l	val,xreg
	ENDM

	MACRO
	CNTDN1	xreg,cont
.a\@:	cmp.b	#96,TCDR
	bge.s	.a\@
.b\@:	cmp.b	#96,TCDR
	blt.s	.b\@
	dbra	xreg,cont
	ENDM

	MACRO
	CNTALL	xreg
.a\@:	cmp.b	#96,TCDR
	bge.s	.a\@
.b\@:	cmp.b	#96,TCDR
	blt.s	.b\@
	dbra	xreg,.a\@
	ENDM

;********************************************************************************
;* End of SPSCSI.H								*
;********************************************************************************

