/******************************************************************************/
/* ST_HARD.C								      */
/******************************************************************************/

#ifndef	__HEADER_ST_HARD
#define	__HEADER_ST_HARD	__HEADER_ST_HARD

/* -------------------------------------------------------------------------- */

typedef struct __fseldta
{
	unsigned int	d_fat;		/* starting cluster number */
	unsigned int	d_fattr;	/* File attributes */
	unsigned long	d_tandd;	/* Time and date words */
	unsigned long	d_fsize;	/* File size */
	unsigned char	d_fname[14];	/* File name */
} FSELDTA;

/* -------------------------------------------------------------------------- */

#define	E_FSELREADERR	-1000
#define	E_FSELBADFAT	-2000
#define	E_FSELMEM	-3000

#define	E_FSELINIT	-4000

/* -------------------------------------------------------------------------- */

int	fsel_initio( unsigned int );
long	fsel_file( unsigned int, unsigned char *, FSELDTA * );
long	fsel_findfile( unsigned char *, FSELDTA * );

int	fsel_initbuff( void );
int	fsel_initfiledata( unsigned int, unsigned long, unsigned long );
int	fsel_readfiledata( void );
int	fsel_initzerodata( unsigned long, unsigned long );
int	fsel_readzerodata( void );
long	fsel_seekreadfile( unsigned int, unsigned long, unsigned long );
long	fsel_seekreadzero( unsigned long, unsigned long );
int	fsel_seeksenddata( void );

/* -------------------------------------------------------------------------- */

#endif

/******************************************************************************/
/* End of ST_HARD.C							      */
/******************************************************************************/

