;*******************************************************************************
;* SNDBIND.S	binding routine to the Atari SOUND Extended Bios routines and
;*		assembly lauguage interface.
;*
;* Started: 	07/7/92		Mike Schmal
;* Modified:	17/3/94		Pradip K Fatehpuria
;*
;*******************************************************************************

;******************************************************************************
;*	CODE SECTION
;******************************************************************************

	CSECT	xxxx,code

;******************************************************************************
;* ROUTINES ACCESSED FROM OTHER MODULES
;******************************************************************************

	XDEF	_SOUND

;*******************************************************************************
;* SOUND	"C" interface for the Atari SOUND Extended Bios.
;*******************************************************************************

;* -----------------------------------------------------------------------------

_SOUND:
	move.l	(sp)+,savsp
	trap	#14
	move.l	savsp,-(sp)
	rts

;******************************************************************************
;*	BSS SECTION
;******************************************************************************

	CSECT	yyyy,bss

;******************************************************************************
;******************************************************************************

savsp:		ds.l	1	; Save calling routines return address

;******************************************************************************
;* END OF PRAGRAM
;******************************************************************************

	END

;*******************************************************************************
;* End of SNDBIND.S
;*******************************************************************************

