;********************************************************************************
;* 68030.H									*
;*										*
;* Edit History - adopted from the HDI						*
;*										*
;* 05-MAY-94	PKF	adopted for a SCSI read on FALCON while implementing	*
;*			the CDROM Emulator					*
;********************************************************************************

;****************************************
;****************************************

	MACRO
	movecd0vbr
	dc.w	$4E7B
	dc.w	$0801
	ENDM

	MACRO
	movecvbrd0
	dc.w	$4E7A
	dc.w	$0801
	ENDM

	MACRO
	movecacrd0
	dc.w	$4E7A
	dc.w	$0002
	ENDM

	MACRO
	moved0cacr
	dc.w	$4E7B
	dc.w	$0002
	ENDM

;****************************************
;* unsigned long multiply immediate	*
;* producing a word in specified	*
;* register				*
;****************************************

	MACRO
	mululwi	val,dstreg
	dc.w	$4C3C
	dc.w	dstreg << 12
	dc.l	val
	ENDM

;****************************************
;* unsigned long div 32/32 -> 32r:32q	*
;****************************************

	MACRO
	divulr	eareg,regr,regq
	dc.w	$4C40+eareg		; divu.l d ?
	dc.w	(regq << 12)+regr
	ENDM

;********************************************************************************
;* End of 68030.H								*
;********************************************************************************
